<?php
namespace App\Http\Controllers;
use Illuminate\Http\Request;
use App\Http\Requests;
use App\User;
use App\Transaksi;
use App\Http\Controllers\Auth;
use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class AdminController extends Controller
{
 	public function laporanTransaksi()
    {
       $transaksis = Transaksi::all();
        return view('adminlte::admin.laporanTransaksi.index', compact('transaksis'));           
    }
  	
  	public function listPetugas()
    {
        $users = User::where([['status','!=','customer'], ['status','!=', 'admin']])->get();
        return view('adminlte::admin.listPetugas.index', compact('users')); 
    }

       public function createPetugas()
    {
        return view('adminlte::admin.listPetugas.create');
    }
   
    public function storePetugas(Request $request)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'username' => 'required',
            'password' => 'required',
            'status' => 'required',
            
        ]);

        $users = new User();
        $users->name = $request['name'];
        $users->email = $request['email'];
        $users->username =$request['username'];
        $users->password =bcrypt($request['password']);
        $users->status = $request['status'];
        $users->save();
        return redirect('listPetugas');
    }

       public function destroyPetugas($id)
    {
        $users = User::find($id);
        $users->delete();
        return redirect('listPetugas');
    }

     public function editPetugas($id)
    {
        $users = User::where('id', $id)->first();
        return view('adminlte::admin.listPetugas.edit')->with('users', $users);
    }

        public function updatePetugas(Request $request, $id)
    {
        $this->validate($request, [
            'name' => 'required',
            'email' => 'required',
            'username' => 'required',
            'password' => 'required',
            'status' => 'required',
        ]);

        $users = User::findOrFail($id);
        $users->name = $request->name;
        $users->email = $request->email;
        $users->username = $request->username;
        $users->password = bcrypt($request->password);
        $users->status = $request->status;
        $users->save();
        return redirect('listPetugas');
    }
}