<?php
namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests;

use App\User;
use App\Transaksi;
use App\RequestBarang;
use App\pembelian;

class KasirController extends Controller
{
 	public function ListCustomer()
    {
       $users = User::where('status', 'like', 'customer')->get();
        return view('adminlte::kasir.ListCustomer.index', compact('users'));
    }

     public function ListPembelians()
    {
    	$pembelians = Pembelian::all();
        return view('adminlte::kasir.ListPembelian.index', compact('pembelians'));
    }

      public function ListRequests()
    {
        $request_barangs = RequestBarang::where('status_request', 'like', 'Terkonfirmasi')->get();
        return view('adminlte::kasir.ListRequest.index', compact('request_barangs'));
    }


    public function addSaldo($id)
    {
        $users = User::where('id', $id)->first();
        return view('adminlte::kasir.ListCustomer.addSaldo')->with('users', $users);
    }

    public function saldo(Request $request,$id){   
       $data = User::find($id);
       $data->saldo = $data->saldo+$request['saldo'];
       $data->update();

       return redirect('ListCustomer');
    }  

   public function konfPengantaran($id)
     {

        $datauP = Pembelian::find ($id);

            $datauP->status_pengantaran = 'Terkirim';

            $datauP->update();

            return redirect('ListPembelians');
     
    }

      public function konfAntar($id)
     {

        $datauP = RequestBarang::find ($id);

            $datauP->status_pengantaran = 'Terkirim';

            $datauP->update();

            return redirect('ListRequests');
     
    }
}