-- phpMyAdmin SQL Dump
-- version 4.5.1
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: May 19, 2017 at 10:06 AM
-- Server version: 10.1.16-MariaDB
-- PHP Version: 7.0.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `ud_antoni`
--

-- --------------------------------------------------------

--
-- Table structure for table `barangs`
--

CREATE TABLE `barangs` (
  `id` int(10) UNSIGNED NOT NULL COMMENT 'ID',
  `nama_barang` varchar(100) COLLATE latin1_general_ci NOT NULL COMMENT 'Nama',
  `stock` int(10) DEFAULT NULL COMMENT 'Jumlah',
  `harga` decimal(10,0) NOT NULL COMMENT 'harga',
  `kategori` varchar(50) COLLATE latin1_general_ci NOT NULL,
  `gambar` varchar(100) COLLATE latin1_general_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `barangs`
--

INSERT INTO `barangs` (`id`, `nama_barang`, `stock`, `harga`, `kategori`, `gambar`, `created_at`, `updated_at`) VALUES
(18, 'Beng-beng', 100, '1500', 'makanan', 'beng@.jpg', '2017-05-19 08:02:34', '2017-05-19 08:02:34'),
(19, 'Coca-cola', 100, '4500', 'minuman', 'cocacola.jpg', '2017-05-19 08:07:04', '2017-05-19 08:07:04'),
(20, 'Pepsodent', 50, '9000', 'alat mandi', 'pepsoden.jpg', '2017-05-19 08:08:14', '2017-05-19 08:08:14'),
(21, 'Kalkulator', 50, '45000', 'alat tulis', 'kalkulator.jpg', '2017-05-19 08:09:25', '2017-05-19 08:09:25');

-- --------------------------------------------------------

--
-- Table structure for table `data_requests`
--

CREATE TABLE `data_requests` (
  `id` int(10) UNSIGNED NOT NULL,
  `nama_barang` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `kategori` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `harga` int(10) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `data_requests`
--

INSERT INTO `data_requests` (`id`, `nama_barang`, `kategori`, `harga`, `created_at`, `updated_at`) VALUES
(19, 'Kue Bolu ', 'makanan', 40000, '2017-05-19 08:11:34', '2017-05-19 08:12:10'),
(20, 'Kue Tart', 'makanan', 80000, '2017-05-19 08:11:50', '2017-05-19 08:11:50'),
(21, 'Piscok', 'makanan', 1000, '2017-05-19 08:12:02', '2017-05-19 08:12:02');

-- --------------------------------------------------------

--
-- Table structure for table `pembelians`
--

CREATE TABLE `pembelians` (
  `id` int(10) UNSIGNED NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `nama_barang` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `kategori` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `harga` int(10) NOT NULL,
  `jumlah` int(10) NOT NULL,
  `total_harga` int(10) NOT NULL,
  `status_pengantaran` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `user_id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `pembelians`
--

INSERT INTO `pembelians` (`id`, `username`, `nama_barang`, `kategori`, `harga`, `jumlah`, `total_harga`, `status_pengantaran`, `user_id`, `created_at`, `updated_at`) VALUES
(18, 'customer123', 'Beng-beng', 'makanan', 1500, 3, 4500, 'Terkirim', 22, '2017-05-19 08:31:51', '2017-05-19 09:01:31');

-- --------------------------------------------------------

--
-- Table structure for table `request_barangs`
--

CREATE TABLE `request_barangs` (
  `id` int(10) UNSIGNED NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `nama_barang` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `kategori` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `harga` int(10) DEFAULT NULL,
  `jumlah` int(10) NOT NULL,
  `total_harga` int(10) DEFAULT NULL,
  `status_request` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `status_pengantaran` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_id` int(10) UNSIGNED NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `request_barangs`
--

INSERT INTO `request_barangs` (`id`, `username`, `nama_barang`, `kategori`, `harga`, `jumlah`, `total_harga`, `status_request`, `status_pengantaran`, `user_id`, `created_at`, `updated_at`) VALUES
(38, 'customer123', 'Piscok', 'makanan', 1000, 5, 5000, 'Request', 'Request', 22, '2017-05-19 09:36:21', '2017-05-19 09:36:21'),
(39, 'customer123', 'Kue Tart', 'makanan', 80000, 2, 160000, 'Request', 'Request', 22, '2017-05-19 09:36:31', '2017-05-19 09:36:31');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(10) UNSIGNED NOT NULL,
  `name` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `username` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `password` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `status` varchar(10) COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `saldo` int(20) NOT NULL DEFAULT '0',
  `remember_token` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `email`, `username`, `password`, `status`, `saldo`, `remember_token`, `created_at`, `updated_at`) VALUES
(1, 'admin', 'admin@yahoo.com', 'admin', '$2y$10$HpjF1.bHvOGu7dsxljvrG.Gn.cO7fBxtsZt7vApf5VuSzfk4NhpWC', 'admin', 0, 'BFv7MkWmkdc41QkpoEwvcBVdrFIjwnBj6DvAx07wJutJTkpPiQsKx9lh6E5C', '2017-01-05 10:14:15', '2017-05-19 06:42:56'),
(22, 'customer', 'customer@yahoo.com', 'customer123', '$2y$10$EoyGEfjo/bUMEM7C7yYyN.JeWQ1TsbdQzYbWIgWYfR4Y1vQ/FfulW', 'customer', 200000, 'e0qqKYhu6HDvYkHCc0F9jnyqI2IwcFEmlXwjE3bOmwhvX4NGUYKMc2dcX0ZI', '2017-05-19 06:39:36', '2017-05-19 14:05:59'),
(23, 'inventori', 'inventori@yahoo.com', 'inventori', '$2y$10$Zm024gkgCi5sMdMSJWwJh.G.Y04dUDzgkdMY3YRlbrn7WxOycXDMO', 'inventori', 0, 'N4V0fUGNs6yCLTGg53zWn7qJ6BQljnMhC8Iq7oOkBEgdXojyf1Pw5D6LeTOo', '2017-05-19 06:41:46', '2017-05-19 09:43:54'),
(24, 'kasir', 'kasir@yahoo.com', 'kasir', '$2y$10$nHqhy6fu91vLtyxuAHdanO0M62Y0y9H8qOPxq519rwSL8JhdCT5ee', 'kasir', 0, '0qC64zLJk7n1GIhAPRlCcLw1DBsaEfiujnFx8WA28ZttBmSeTWMDk4Y20Lxi', '2017-05-19 06:42:18', '2017-05-19 09:15:54');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `barangs`
--
ALTER TABLE `barangs`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `data_requests`
--
ALTER TABLE `data_requests`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `pembelians`
--
ALTER TABLE `pembelians`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`);

--
-- Indexes for table `request_barangs`
--
ALTER TABLE `request_barangs`
  ADD PRIMARY KEY (`id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `user_id_2` (`user_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `users_email_unique` (`email`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `barangs`
--
ALTER TABLE `barangs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID', AUTO_INCREMENT=22;
--
-- AUTO_INCREMENT for table `data_requests`
--
ALTER TABLE `data_requests`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=22;
--
-- AUTO_INCREMENT for table `pembelians`
--
ALTER TABLE `pembelians`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;
--
-- AUTO_INCREMENT for table `request_barangs`
--
ALTER TABLE `request_barangs`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=40;
--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=25;
--
-- Constraints for dumped tables
--

--
-- Constraints for table `pembelians`
--
ALTER TABLE `pembelians`
  ADD CONSTRAINT `pembelians_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

--
-- Constraints for table `request_barangs`
--
ALTER TABLE `request_barangs`
  ADD CONSTRAINT `request_barangs_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
